# E108: 'in' disallowed in C-style for loop initializer

```config-for-examples
{
  "globals": {
    "data": true,
    "options": true,
    "processItem": true
  }
}
```

C-style `for` loops can have a expression the first `;`-separated part. It is an
error for the expression to use the `in` operator without parentheses:

    for (let i = 'startAtOne' in options ? 1 : 0; i < options.count; ++i) {
      if (!processItem(data[i])) {
        break;
      }
    }

To fix this error, surround the `in` expression with parentheses:

    for (let i = ('startAtOne' in options) ? 1 : 0; i < options.count; ++i) {
      if (!processItem(data[i])) {
        break;
      }
    }
